Bug 113330 - Wrong tar czvf exit code
Wrong tar czvf exit code
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tar (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-12 13:26 EST by Nikos Balkanas
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 09:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Balkanas 2004-01-12 13:26:21 EST
Description of problem:
Wrong tar czvf exit code

Version-Release number of selected component (if applicable):
tar-1.13.25-8

How reproducible:

Allways

Steps to Reproduce:
1. Put 3 fairly large ascii files (i.e. *.GMF) in directory
2. Run script:

#!/bin/bash
while [ "1" ]; do
   tar -czvf Nikos.tar.gz *.GMF
   echo "exit code = $?" >> Nikos.log
   sleep 20
done

3. Examine Nikos.log
  
Actual results:
stagingsrv01:/home/billlykos/geneva-> cat Nikos.log
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2
exit code = 2

Expected results:

stagingsrv01:/home/billlykos/geneva-> cat Nikos.log
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0
exit code = 0


Additional info:

The produced archive expands normally and diffs with no problems with 
originals. Why exit code = 2? OS is RH 8.0

Note You need to log in before you can comment on or make changes to this bug.